| cpp_redis 4.0.0 cpp_redis is a C++11 Asynchronous Multi-Platform Lightweight Redis Client, with support for synchronous operations and pipelining.

Public Member Functions | List of all members
cpp_redis::builders::reply_builder Class Reference

`#include <reply_builder.hpp>`

## Public Member Functions
| reply_builder (void)
| ctor
| ~reply_builder (void)=default
| dtor
| reply_builder (const reply_builder &)=delete
| copy ctor
reply_builder & | operator= (const reply_builder &)=delete
| assignment operator
reply_builder & | operator<< (const std::string &data)
void | operator>> (reply &reply)
const reply & | get_front (void) const
void | pop_front (void)
bool | reply_available (void) const

## Detailed Description

class coordinating the several builders and the builder factory to build all the replies returned by redis server

## Member Function Documentation

## ◆ get_front()

const reply& cpp_redis::builders::reply_builder::get_front | ( | void |  | ) | const

Returns
  the first available reply

## ◆ operator<<()

reply_builder& cpp_redis::builders::reply_builder::operator<< | ( | const std::string & | data | ) |

add data to reply builder data is used to build replies that can be retrieved with get_front later on if reply_available returns true

Parameters

  data | data to be used for building replies

Returns
  current instance

## ◆ operator>>()

void cpp_redis::builders::reply_builder::operator>> | ( | reply & | reply | ) |

similar as get_front, store reply in the passed parameter

Parameters

  reply | reference to the reply object where to store the first available reply

## ◆ pop_front()

void cpp_redis::builders::reply_builder::pop_front | ( | void |  | ) |

pop the first available reply

## ◆ reply_available()

bool cpp_redis::builders::reply_builder::reply_available | ( | void |  | ) | const

Returns
  whether a reply is available

The documentation for this class was generated from the following file:

- includes/cpp_redis/builders/reply_builder.hpp